<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar"
        layout="@layout/detail_toolbar" />

    <ScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_step_1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="13.3dp"
                    android:layout_marginTop="13.3dp"
                    android:background="@drawable/bg_round_corner_6_7_222222"
                    android:orientation="vertical"
                    android:paddingHorizontal="13.3dp"
                    android:paddingVertical="20dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="6.7dp"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text="이메일"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="12sp" />

                        <EditText
                            android:id="@+id/et_email"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@drawable/edittext_underline"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:hint="이메일 주소를 입력하세요"
                            android:importantForAutofill="no"
                            android:inputType="textWebEmailAddress"
                            android:paddingHorizontal="6.7dp"
                            android:paddingTop="12dp"
                            android:paddingBottom="8dp"
                            android:textColor="@color/color_eeeeee"
                            android:textColorHint="@color/color_777777"
                            android:textCursorDrawable="@drawable/edit_text_cursor"
                            android:textSize="13.3sp"
                            android:theme="@style/EditTextStyle"
                            tools:ignore="LabelFor" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="26.7dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="6.7dp"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text="비밀번호"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="12sp" />

                        <EditText
                            android:id="@+id/et_password"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@drawable/edittext_underline"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:hint="비밀번호 (영문, 숫자 포함 8~20자)"
                            android:importantForAutofill="no"
                            android:inputType="textWebPassword"
                            android:paddingHorizontal="6.7dp"
                            android:paddingTop="12dp"
                            android:paddingBottom="8dp"
                            android:textColor="@color/color_eeeeee"
                            android:textColorHint="@color/color_777777"
                            android:textCursorDrawable="@drawable/edit_text_cursor"
                            android:textSize="13.3sp"
                            android:theme="@style/EditTextStyle"
                            tools:ignore="LabelFor" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="26.7dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="6.7dp"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text="비밀번호 확인"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="12sp" />

                        <EditText
                            android:id="@+id/et_password_re"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@drawable/edittext_underline"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:hint="비밀번호를 다시 입력해 주세요."
                            android:importantForAutofill="no"
                            android:inputType="textWebPassword"
                            android:paddingHorizontal="6.7dp"
                            android:paddingTop="12dp"
                            android:paddingBottom="8dp"
                            android:textColor="@color/color_eeeeee"
                            android:textColorHint="@color/color_777777"
                            android:textCursorDrawable="@drawable/edit_text_cursor"
                            android:textSize="13.3sp"
                            android:theme="@style/EditTextStyle"
                            tools:ignore="LabelFor" />

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="13.3dp"
                    android:layout_marginTop="13.3dp"
                    android:background="@drawable/bg_round_corner_6_7_222222"
                    android:orientation="vertical"
                    android:padding="13.3dp">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="50dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="6.7dp"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="약관 동의"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="12sp" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_909090" />

                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="50dp">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="6.7dp">

                            <TextView
                                android:id="@+id/tv_terms_of_service"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/gmarket_sans_medium"
                                android:text="이용약관"
                                android:textColor="@color/color_eeeeee"
                                android:textSize="12sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="6.7dp"
                                android:fontFamily="@font/gmarket_sans_medium"
                                android:text="(필수)"
                                android:textColor="@color/color_9970ff"
                                android:textSize="12sp" />

                        </LinearLayout>

                        <ImageView
                            android:id="@+id/iv_terms_of_service"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="6.7dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_select" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_909090" />

                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="50dp">

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="6.7dp">

                            <TextView
                                android:id="@+id/tv_privacy_policy"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/gmarket_sans_medium"
                                android:text="개인정보수집 및 이용동의"
                                android:textColor="@color/color_eeeeee"
                                android:textSize="12sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="6.7dp"
                                android:fontFamily="@font/gmarket_sans_medium"
                                android:text="(필수)"
                                android:textColor="@color/color_9970ff"
                                android:textSize="12sp" />

                        </LinearLayout>

                        <ImageView
                            android:id="@+id/iv_privacy_policy"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:layout_marginEnd="6.7dp"
                            android:contentDescription="@null"
                            android:src="@drawable/ic_select" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_alignParentBottom="true"
                            android:background="@color/color_909090" />

                    </RelativeLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_step_2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="gone">

                <RelativeLayout
                    android:layout_width="96.7dp"
                    android:layout_height="116.8dp"
                    android:layout_marginTop="13.3dp">

                    <ImageView
                        android:id="@+id/iv_profile"
                        android:layout_width="80dp"
                        android:layout_height="116.8dp"
                        android:adjustViewBounds="true"
                        android:background="@color/color_3e3358"
                        android:contentDescription="@null"
                        android:src="@drawable/ic_logo" />

                    <ImageView
                        android:id="@+id/iv_photo_picker"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentEnd="true"
                        android:layout_alignParentBottom="true"
                        android:background="@drawable/bg_round_corner_33_3_9970ff"
                        android:contentDescription="@null"
                        android:padding="10dp"
                        android:src="@drawable/ic_camera" />
                </RelativeLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="13.3dp"
                    android:layout_marginTop="13.3dp"
                    android:background="@drawable/bg_round_corner_6_7_222222"
                    android:orientation="vertical"
                    android:paddingHorizontal="13.3dp"
                    android:paddingTop="20dp"
                    android:paddingBottom="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="6.7dp"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:text="닉네임 (최대 12자)"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="12sp" />

                        <EditText
                            android:id="@+id/et_nickname"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@drawable/edittext_underline"
                            android:fontFamily="@font/gmarket_sans_medium"
                            android:hint="닉네임"
                            android:importantForAutofill="no"
                            android:inputType="textWebEditText"
                            android:maxLength="12"
                            android:paddingHorizontal="6.7dp"
                            android:textColor="@color/color_eeeeee"
                            android:textColorHint="@color/color_777777"
                            android:textCursorDrawable="@drawable/edit_text_cursor"
                            android:textSize="13.3sp"
                            android:theme="@style/EditTextStyle"
                            tools:ignore="LabelFor" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="16.7dp"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="6.7dp"
                            android:fontFamily="@font/gmarket_sans_bold"
                            android:text="성별"
                            android:textColor="@color/color_eeeeee"
                            android:textSize="12sp" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            android:paddingHorizontal="6.7dp"
                            android:paddingVertical="13.3dp">

                            <TextView
                                android:id="@+id/tv_female"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:button="@null"
                                android:drawablePadding="13.3dp"
                                android:fontFamily="@font/gmarket_sans_medium"
                                android:text="여자"
                                android:textColor="@color/color_eeeeee"
                                android:textSize="13.3sp"
                                app:drawableStartCompat="@drawable/ic_radio_button_select" />

                            <TextView
                                android:id="@+id/tv_male"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:button="@null"
                                android:drawablePadding="13.3dp"
                                android:fontFamily="@font/gmarket_sans_medium"
                                android:text="남자"
                                android:textColor="@color/color_eeeeee"
                                android:textSize="13.3sp"
                                app:drawableStartCompat="@drawable/ic_radio_button_select" />

                            <TextView
                                android:id="@+id/tv_none"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:button="@null"
                                android:drawablePadding="13.3dp"
                                android:fontFamily="@font/gmarket_sans_medium"
                                android:text="공개 안 함"
                                android:textColor="@color/color_eeeeee"
                                android:textSize="13.3sp"
                                app:drawableStartCompat="@drawable/ic_radio_button_select" />

                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="13.3dp"
                android:layout_marginTop="26.7dp"
                android:background="@drawable/bg_round_corner_16_7_222222"
                android:paddingHorizontal="13.3dp"
                android:paddingVertical="13.7dp">

                <TextView
                    android:id="@+id/tv_sign_up"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/bg_round_corner_10_9970ff"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:gravity="center"
                    android:paddingVertical="16dp"
                    android:text="회원가입"
                    android:textColor="@color/white"
                    android:textSize="18.3sp" />

            </FrameLayout>
        </LinearLayout>
    </ScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>
